
package Logic;

/**
 * @dependency Logic.ILogical 
 */
public interface ILogicAlgo
{
	/**
	 * @param host 
	 * @param param 
	 */
	public Object trueCase(ILogical host, Object param);

	/**
	 * @param host 
	 * @param param 
	 */
	public Object falseCase(ILogical host, Object param);
}

